CON
  _clkmode = xtal1 + pll16x     
  _xinfreq = 5_000_000

  SR_CLOCK        = 0                    { lcd driver }
  SR_LATCH        = 1                    { lcd driver }
  SR_DATA         = 2                    { lcd driver }

  Led_1           = 9                    { Temp Led }
  Led_2           = 10                    { LV Led }
  Led_3           = 11                   { CO2 Led }
  Led_4           = 12                   { Histories Max Led }
  Led_5           = 13                   { Histories Min Led }
  Led_6           = 14                   { Setpoint Day }
  Led_7           = 15                   {Setpoint Night }

  ADC_3           = 18                   {ADC control }
  ADC_2           = 17                   {ADC control }
  ADC_1           = 16                   {ADC control }

  SHT_CLK         = 19                   { TEMP/ RV sensor}
  SHT_DATA        = 20                   { TEMP/ RV sensor}

  Relay_3         = 21                   {SSR Control}
  Relay_2         = 22                   {SSR Control}
  Relay_1         = 23                   {SSR Control}

  buton1          = 24                   { push buttons }
  buton2          = 25                   { push buttons }
  buton3          = 26                   { push buttons }
  buton4          = 27                   { push buttons }

  BUFFER_2K     = $800
  
  CR            = $0D
  LF            = $0A
  NULL          = $00

  SOCKETS       = 8
  
  #0, CLOSED, TCP, UDP, IPRAW, MACRAW, PPPOE

    

  Zero_Out = 0                  {valvue to reset historic reading}

  i2cSCL        = 28   
  EEPROMAddr    = %1010_0000
    
VAR
  long  seed
  byte templock,notactive

  byte  temp[32]                               {input temp }
  byte  lv[32]                                 {input lv }
  long tempC,tempC1,tempC2,tempC3              {global temp vars }
  long lv1,lv2,lv3                             {global lv vars }

  long tempmax,tempmin       {Historis Min /Max Temp Variabelen }
  long lvmax,lvmin ,eepromData          {Historis Min /Max LV Variabelen }      


  byte h_menu                     { Hoofdmenu Variabele }
  long stack1[128] ,stack2[128]   {stackspace for new cog }

  long reading,  dig1,dig11,  dig2,dig22,  dig3,dig33,  dig4,dig44               { decodeer berekening waardes }
  long waarde1,waarde11,  waarde2,waarde22,  waarde3,waarde33,  waarde4,waarde44 { decodeer berekening waardes }
   
  long Setpoint,Offset                         { aanstuur waardes }
  long teller1,teller2 ,screen,punt
  long numleds_, firstled_, persistence_, leds[7] 

OBJ
  pst             : "Parallax Serial Terminal"
  wiz             : "W5200.spin" 
  sock[SOCKETS]   : "Socket.spin"
  sht             : "Sensirion_full"         { temp/lv sensor control object }
  fp              : "FloatString"              { Math object }
  f               : "Float32"                  { Math object }
  i2cObject       : "basic_i2c_driver"         {Eprom object}     
  shift           : "Simple_74HC595"             { lcd control object }             
  rom             : "I2C_ROMEngine"                       { Eeprom Backup object }
  led             : "led_pwm"
   eeprom  : "Propeller Eeprom" 
PUB Main | i, page



 i2cObject.WriteLong(i2cSCL, EEPROMAddr, $6981, 0)
 i2cObject.WriteLong(i2cSCL, EEPROMAddr, $6977, 0) 